#include<bits/stdc++.h>
using namespace std;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n, q, x, kom;
    int  jed=0;
    cin>>n;
    vector<int> a;
    vector<int> k;
    for(int i=0; i<n; i++){
        cin>>x;
        if(x==1) jed++;
        a.push_back(x);
    }
    cin>>q;
    int i, j;
    for(int w=0; w<q; w++){
        cin>>kom;
        if(kom==0){
            cin>>i;
            if (i<=jed) cout<<1<<endl;
            else cout<<0<<endl;
            
        }
        else{
            cin>>i>>x;
            if(a[i-1]!=x){
                a[i-1]=x;
                if (x==0) jed--;
                else jed++;

            }
        }


    }
    

}